Random monster variations
2003-09-11 16:55 - jhansonxi

Status: Closed Start date:
Assignee:

Category: Enhancement

Target version:

2003-09-11
50%

Description

Similar to RFE #769507 but based on a thread in the New
Doom forum which seems to have vanished.

Problem: All monsters of the same type are exact
duplicates.

Solution: Add random variances to monsters.

Initial restriction: Do not change the map format
(random attributes applied to existing monsters at map
load)

Possible aspects:

1. Random skin selection or coloring decals (hair,
skin, uniform)

Sounds

Speed

Vision (detection) range

Dropped items (ammo quantity, weapon, health, armor)
. Behavior: attack, retreat, bezerk (attack other
monster without provaction), suicide (attacks a barrel
or intentionally enters a crusher), seeks and uses
certain player items (health, armor, weapons)

7. Damage resistance (hit points, pain sector
immunity, weapon type damage resistance)

8. Offensive capability (weapon damage, rate-of-fire,
fire sequence pattern, missile spread pattern)

9. Tatical skills (leading shots, hiding)

10. Strategic skills (buttons, path mapping)
Labels: Customizability

Related issues:

Related to Feature #1216: Using alternative resources alongside the originals
Related to Feature #1616: Selector for sprites

Related to Feature #1246: Support newer model formats and skeletal animation

Rejected
New
Closed

2003-06-30
2013-10-21
2013-10-12

History

#1 - 2003-09-14 20:40 - papercut2
Logged In: YES
user_id=1566636

Umm... Well zombies and imps already have a few different
death, and sight sounds, not to mention the random pitch
variations, but you would have to import sounds into a wad
and play with that specific wad.

Monsters stealing health kits and soulspheres will be
extremely frustrating.

Random skin is done with the wad file, you'd have to import
a ton of monster skin variations if you want that, but maybe
a random color blending for imps would be pretty cool (some
darker than others)

Speed changes could be cool and annoying in different ways.

Zombies dont really use tactics or strategy (Watch Dawn of
the Dead or example)

#2 - 2003-10-05 09:48 - chrisdragon
Logged In: YES
user_id=763563

Sounds interesting, may prove to add extra variety to the game.

#3 - 2006-08-02 03:25 - dark_pulse
Logged In: YES
user_id=649259

It sounds interesting, but it'd pretty much kill what we've
come to assoiate the Doom engine games as, and that's lots
of Dumb monsters shooting at you. You can pretty much find
the above in Unreal or Unreal Il.

Still, it is a nice suggestion, and should be considered as
such.

#4 - 2016-08-09 10:52 - skyjake

- Tags set to Resources, Definitions

- Category set to Enhancement

- Status changed from New to Closed

- % Done changed from 0 to 50

This is now possible with the new 3D models, where Doomsday Script can be used for random textures, for instance. Also, animation sequences can
have random variations. Closing as obsolete, though.

#5 - 2016-08-09 10:52 - skyjake

- Related to Feature #1246: Support newer model formats and skeletal animation added
